#include "AckPkg.h"

AckPkg::AckPkg(int a, unsigned short serialAck) : TelepatiPkg(){
  type=ACK;
  aibo=a;
  serialNum=serialAck;
}

AckPkg::AckPkg(byte* ptr) : TelepatiPkg(ptr){
}


AckPkg::~AckPkg(){
}


TelepatiPkg* AckPkg::clone(){
  AckPkg* clone=new AckPkg(aibo, serialNum);
  return clone;
}

byte* AckPkg::getMsg(){
  delete [] message;
  message=createStdHeader(0);
  return message;
}
